## tsctp 0.8.1

=== CMakeLists.txt ===
CMAKE_MINIMUM_REQUIRED(VERSION 3.5)
PROJECT(tsctp LANGUAGES C)

SET(BUILD_MAJOR "0")
SET(BUILD_MINOR "8")
SET(BUILD_PATCH "1")
SET(BUILD_VERSION ${BUILD_MAJOR}.${BUILD_MINOR}.${BUILD_PATCH})


#############################################################################
#### INSTALLATION_DIRECTORIES                                            ####
#############################################################################

# See: https://cmake.org/cmake/help/v3.0/module/GNUInstallDirs.html
INCLUDE(GNUInstallDirs)


#############################################################################
#### PACKAGING                                                           ####
#############################################################################

SET(CPACK_SOURCE_GENERATOR "TXZ")
SET(CPACK_SOURCE_PACKAGE_FILE_NAME
    "${CMAKE_PROJECT_NAME}-${BUILD_MAJOR}.${BUILD_MINOR}.${BUILD_PATCH}")
SET(CPACK_SOURCE_IGNORE_FILES "\\\\.git;\\\\.swp$;~$;\\\\.\\\\#;/\\\\#")
LIST(APPEND CPACK_SOURCE_IGNORE_FILES "^${PROJECT_SOURCE_DIR}/${CMAKE_PROJECT_NAME}[_-]")
LIST(APPEND CPACK_SOURCE_IGNORE_FILES "\\\\.cmake$|\\\\.make$|\\\\.log$")
LIST(APPEND CPACK_SOURCE_IGNORE_FILES "/CMakeCache\\\\.txt$")
LIST(APPEND CPACK_SOURCE_IGNORE_FILES "/(CMakeFiles|CMakeScripts|_CPack_Packages)/")
LIST(APPEND CPACK_SOURCE_IGNORE_FILES "/package-version\\\\.h$")
LIST(APPEND CPACK_SOURCE_IGNORE_FILES "/packaging\\\\.conf$")
LIST(APPEND CPACK_SOURCE_IGNORE_FILES "^${PROJECT_SOURCE_DIR}/(po.*/|src.*/|)Makefile$")
INCLUDE(CPack)

ADD_CUSTOM_TARGET(dist COMMAND ${CMAKE_MAKE_PROGRAM} clean package_source)


INCLUDE(CheckIncludeFile)
INCLUDE(CheckStructHasMember)


#############################################################################
#### UNINSTALL                                                           ####
#############################################################################

IF(NOT TARGET uninstall)
   CONFIGURE_FILE(
      "${CMAKE_CURRENT_SOURCE_DIR}/cmake_uninstall.cmake.in"
      "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
      IMMEDIATE @ONLY)

   ADD_CUSTOM_TARGET(uninstall
      COMMAND ${CMAKE_COMMAND} -P ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake)
ENDIF()


#############################################################################
#### OS DEPENDENT                                                        ####
#############################################################################

IF (${CMAKE_SYSTEM_NAME} MATCHES "Linux")
    MESSAGE(STATUS ${CMAKE_SYSTEM_NAME} " supported")
    FIND_LIBRARY(SCTP_LIB sctp)

ELSEIF (${CMAKE_SYSTEM_NAME} MATCHES "FreeBSD")
    MESSAGE(STATUS ${CMAKE_SYSTEM_NAME} " supported")
    SET(CMAKE_REQUIRED_INCLUDES "/usr/local/include" "/usr/include")
    SET(CMAKE_LIBRARY_PATH "/usr/local/lib")
    INCLUDE_DIRECTORIES("/usr/local/include")

ELSEIF (${CMAKE_SYSTEM_NAME} MATCHES "Darwin")
    MESSAGE(STATUS ${CMAKE_SYSTEM_NAME} " supported")
    SET(CMAKE_REQUIRED_INCLUDES "/usr/local/include" "/usr/include" "/usr/local/opt/openssl/include")
    SET(CMAKE_LIBRARY_PATH "/usr/local/lib")
    INCLUDE_DIRECTORIES("/usr/local/include" "/usr/local/opt/openssl/include")

ELSEIF (${CMAKE_SYSTEM_NAME} MATCHES "NetBSD")
    MESSAGE(STATUS ${CMAKE_SYSTEM_NAME} " supported")
    SET(CMAKE_REQUIRED_INCLUDES "/usr/pkg/include" "/usr/include" "/usr/local/include")
    SET(CMAKE_LIBRARY_PATH "/usr/local/lib")
    INCLUDE_DIRECTORIES("/usr/pkg/include" "/usr/local/include")

ELSE()
    MESSAGE(FATAL_ERROR ${CMAKE_SYSTEM_NAME} " not supported (yet?)")

ENDIF()


#############################################################################
#### CHECK STRUCT MEMBERS                                                ####
#############################################################################

CHECK_STRUCT_HAS_MEMBER("struct sockaddr" "sa_len" "sys/types.h;sys/socket.h" HAVE_SA_LEN)
IF (HAVE_SA_LEN)
    MESSAGE(STATUS "HAVE_SA_LEN")
    ADD_DEFINITIONS(-DHAVE_SA_LEN)
ENDIF()

CHECK_STRUCT_HAS_MEMBER("struct sockaddr_in" "sin_len" "sys/types.h;netinet/in.h" HAVE_SIN_LEN)
IF (HAVE_SIN_LEN)
    MESSAGE(STATUS "HAVE_SIN_LEN")
    ADD_DEFINITIONS(-DHAVE_SIN_LEN)
ENDIF()

CHECK_STRUCT_HAS_MEMBER("struct sockaddr_in6" "sin6_len" "sys/types.h;netinet/in.h" HAVE_SIN6_LEN)
IF (HAVE_SIN6_LEN)
    MESSAGE(STATUS "HAVE_SIN6_LEN")
    ADD_DEFINITIONS(-DHAVE_SIN6_LEN)
ENDIF()

CHECK_STRUCT_HAS_MEMBER("struct sockaddr_storage" "ss_len" "sys/types.h;sys/socket.h" HAVE_SS_LEN)
IF (HAVE_SS_LEN)
    MESSAGE(STATUS "HAVE_SS_LEN")
    ADD_DEFINITIONS(-DHAVE_SS_LEN)
ENDIF()


#############################################################################
#### REQUIREMENTS                                                        ####
#############################################################################

# ====== Threads ============================================================
FIND_PACKAGE(Threads REQUIRED)

# ====== Kernel SCTP ========================================================
CHECK_INCLUDE_FILE(netinet/sctp.h HAVE_NETINET_SCTP_H)
IF (HAVE_NETINET_SCTP_H)
   SET(SCTP_INCLUDE "netinet/sctp.h")
   ADD_DEFINITIONS(-DHAVE_KERNEL_SCTP -DHAVE_NETINET_SCTP_H)
   IF (${CMAKE_SYSTEM_NAME} MATCHES "Linux")
      FIND_LIBRARY(SCTP_LIB sctp REQUIRED)
   ELSE()
      FIND_LIBRARY(SCTP_LIB sctp)
   ENDIF()
   IF (SCTP_LIB)
      SET(CMAKE_REQUIRED_LIBRARIES ${CMAKE_REQUIRED_LIBRARIES} ${SCTP_LIB})
   ELSE()
      SET(SCTP_LIB "")
   ENDIF()
ENDIF()


#############################################################################
#### SUBDIRECTORIES                                                      ####
#############################################################################

ADD_SUBDIRECTORY(src)

=== freebsd/tsctp/Makefile ===
PORTNAME=	tsctp
DISTVERSION=	0.8.1
PORTREVISION=	1
CATEGORIES=	net
MASTER_SITES=	https://www.nntb.no/~dreibh/tsctp/download/

MAINTAINER=	thomas.dreibholz@gmail.com
COMMENT=	SCTP Test Tool
WWW=		https://www.nntb.no/~dreibh/tsctp/

LICENSE=	BSD2CLAUSE
LICENSE_FILE=	${WRKSRC}/COPYING-BSD

USES=		cmake tar:xz

PLIST_FILES=	bin/tsctp \
		share/man/man1/tsctp.1.gz

.include <bsd.port.mk>

=== debian/changelog ===
tsctp (0.8.1-1) unstable; urgency=low

  * Closes: #998879 (ITP).

 -- Thomas Dreibholz <thomas.dreibholz@gmail.com>  Fri, 13 Dec 2024 21:33:40 +0100

=== debian/control ===
Source: tsctp
Section: net
Priority: optional
Maintainer: Thomas Dreibholz <thomas.dreibholz@gmail.com>
Homepage: https://www.nntb.no/~dreibh/tsctp/
Vcs-Git: https://github.com/dreibh/tsctp.git
Vcs-Browser: https://github.com/dreibh/tsctp
Build-Depends: cmake,
               debhelper-compat (= 13),
               libsctp-dev (>= 1.0.5)
Standards-Version: 4.7.0
Rules-Requires-Root: no

Package: tsctp
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Recommends: hipercontracer,
            iproute2,
            netperfmeter,
            rsplib-tools,
            subnetcalc,
            tshark
Suggests: dynmhs,
          iputils-tracepath,
          ping | iputils-ping,
          td-system-tools,
          traceroute | inetutils-traceroute
Description: SCTP Test Tool
 TSCTP is an SCTP test tool. Its purpose is to perform basic SCTP
 functionality tests to check implementations interoperability and
 to verify that the SCTP stack is working.

## tsctp 0.8.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,9 @@
-CMAKE_MINIMUM_REQUIRED(VERSION 3.5)
+CMAKE_MINIMUM_REQUIRED(VERSION 3.5...3.31)
 PROJECT(tsctp LANGUAGES C)
 
 SET(BUILD_MAJOR "0")
 SET(BUILD_MINOR "8")
-SET(BUILD_PATCH "1")
+SET(BUILD_PATCH "2")
 SET(BUILD_VERSION ${BUILD_MAJOR}.${BUILD_MINOR}.${BUILD_PATCH})

=== freebsd/tsctp/Makefile ===
--- 
+++ 
@@ -1,6 +1,5 @@
 PORTNAME=	tsctp
-DISTVERSION=	0.8.1
-PORTREVISION=	1
+DISTVERSION=	0.8.2
 CATEGORIES=	net
 MASTER_SITES=	https://www.nntb.no/~dreibh/tsctp/download/
 
@@ -14,6 +13,7 @@
 USES=		cmake tar:xz
 
 PLIST_FILES=	bin/tsctp \
+		share/bash-completion/completions/tsctp \
 		share/man/man1/tsctp.1.gz
 
 .include <bsd.port.mk>

=== debian/changelog ===
tsctp (0.8.2-1) unstable; urgency=low

  * New upstream release.
  * debian/control: Updated standards version to 4.7.2.

 -- Thomas Dreibholz <thomas.dreibholz@gmail.com>  Wed, 09 Jul 2025 11:18:07 +0200

## tsctp 0.8.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 
 SET(BUILD_MAJOR "0")
 SET(BUILD_MINOR "8")
-SET(BUILD_PATCH "2")
+SET(BUILD_PATCH "3")
 SET(BUILD_VERSION ${BUILD_MAJOR}.${BUILD_MINOR}.${BUILD_PATCH})

=== freebsd/tsctp/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 PORTNAME=	tsctp
-DISTVERSION=	0.8.2
+DISTVERSION=	0.8.3
 CATEGORIES=	net
 MASTER_SITES=	https://www.nntb.no/~dreibh/tsctp/download/

=== debian/changelog ===
tsctp (0.8.3-1) unstable; urgency=low

  * New upstream release.

 -- Thomas Dreibholz <thomas.dreibholz@gmail.com>  Sun, 21 Sep 2025 17:59:08 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Build-Depends: cmake,
                debhelper-compat (= 13),
                libsctp-dev (>= 1.0.5)
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 
 Package: tsctp

=== debian/rules ===
#!/usr/bin/make -f

# export DH_VERBOSE = 1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --buildsystem=cmake

# Use upstream ChangeLog for installation
override_dh_installchangelogs:
	dh_installchangelogs -k ChangeLog

## tsctp 0.8.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 
 SET(BUILD_MAJOR "0")
 SET(BUILD_MINOR "8")
-SET(BUILD_PATCH "3")
+SET(BUILD_PATCH "4")
 SET(BUILD_VERSION ${BUILD_MAJOR}.${BUILD_MINOR}.${BUILD_PATCH})

=== src/CMakeLists.txt ===
# TSCTP
# Copyright (c) 2005 - 2011 Michael Tuexen, tuexen@fh-muenster.de
# Copyright (C) 2009 - 2025 Thomas Dreibholz, thomas.dreibholz@gmail.com
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the distribution.
# 3. Neither the name of the University nor the names of its contributors
#    may be used to endorse or promote products derived from this software
#    without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
# ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
# ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
# FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
# OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
# OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
# SUCH DAMAGE.

#############################################################################
#### PROGRAMS                                                            ####
#############################################################################

ADD_EXECUTABLE(tsctp tsctp.c)
TARGET_LINK_LIBRARIES(tsctp ${SCTP_LIB} "${CMAKE_THREAD_LIBS_INIT}")
INSTALL(TARGETS       tsctp   RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR})
INSTALL(FILES         tsctp.1 DESTINATION         ${CMAKE_INSTALL_MANDIR}/man1)
INSTALL(FILES         tsctp.bash-completion
        DESTINATION   ${CMAKE_INSTALL_DATADIR}/bash-completion/completions
        RENAME        tsctp)

=== freebsd/tsctp/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 PORTNAME=	tsctp
-DISTVERSION=	0.8.3
+DISTVERSION=	0.8.4
 CATEGORIES=	net
 MASTER_SITES=	https://www.nntb.no/~dreibh/tsctp/download/

=== debian/changelog ===
tsctp (0.8.4-1) unstable; urgency=low

  * New upstream release.

 -- Thomas Dreibholz <thomas.dreibholz@gmail.com>  Fri, 24 Oct 2025 12:53:31 +0200

tsctp (0.8.3-1ubuntu1) trixie; urgency=medium

  * New upstream release.

 -- Thomas Dreibholz <thomas.dreibholz@gmail.com>  Sun, 21 Sep 2025 17:59:08 +0200

tsctp (0.8.2-1ubuntu1) trixie; urgency=medium

  * New upstream release.
  * debian/control: Updated standards version to 4.7.2.

 -- Thomas Dreibholz <thomas.dreibholz@gmail.com>  Wed, 09 Jul 2025 11:18:07 +0200

tsctp (0.8.1-1ubuntu1) trixie; urgency=medium
  * Closes: #998879 (ITP).

 -- Thomas Dreibholz <thomas.dreibholz@gmail.com>  Fri, 13 Dec 2024 21:33:40 +0100
